#Create-Snap

Creates a snap file for use with InstantVRT

# Installation

```
git clone https://github.com/salesforce-ux/create-snap.git
cd create-snap
npm install
```

# Usage

`node index.js [readPath, writePath, stylePath]`

for example:

```
node index.js examples/ output/ assets/styles/salesforce-lightning-design-system.css
```


The output looks like this:

```
{
  "name": "someFile.html",
  "html": "<div>myHtml</div>",
  "style": [
    {
      "background": "rgba(0, 0, 0, 0) none repeat scroll 0% 0% / auto padding-box border-box",
      "border": "0px none rgb(22, 50, 92)",
      "bottom": "auto",
      "clear": "none",
      "clip": "auto",
      "color": "rgb(22, 50, 92)",
      "content": "",
      "cursor": "auto",
      "direction": "ltr",
      "display": "block",
      "fill": "#000000",
      "filter": "none",
      "float": "none",
      "font": "normal normal normal 13px/19px 'Salesforce Sans', Arial, sans-serif",
      "height": "785px",
      "kerning": "0",
      "left": "auto",
      "margin": "0px",
      "marker": "",
      "mask": "none",
      "opacity": "1",
      "orphans": "auto",
      "outline": "rgb(22, 50, 92) none 0px",
      "overflow": "visible",
      "padding": "0px",
      "page": "",
      "position": "static",
      "quotes": "",
      "resize": "none",
      "right": "auto",
      "size": "",
      "speak": "normal",
      "src": "",
      "stroke": "none",
      "top": "auto",
      "transition": "all 0s ease 0s",
      "visibility": "visible",
      "widows": "auto",
      "width": "600px",
      "zoom": "1"
    }
}
```
